Issue #202 new

./setup.py develop -U doesn't work

Anonymous created an issue

./setup.py develop --upgrade doesn't work. It doesn't upgrade dependences of package (install_requires). I wrote small fix in setup.py, but I don't like it.

Comments (4)

  1. Tarek Ziadé repo owner

    --upgrade forces a lookup at PyPI, so it's not the feature you are thinking about.

    So, IIUC, the local egg-info is not updated when you change something in your setup.py, right ?

  2. Anonymous

    Yeah, but I don't know how to update dependencies for my package. I think, that using 'some_dep==installed_version' for updating is not correct.

  3. Anonymous
  4. Log in to comment